Create a new view!
curl --request POST \
--url https://platform.thena.ai/v1/views \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My View",
"description": "My View Description",
"teamId": "T00M677SAK",
"viewsTypeId": "3ENSBTAJ10QG1HAFYYNHADB58PKM5",
"isShared": true,
"configuration": {}
}
'import requests
url = "https://platform.thena.ai/v1/views"
payload = {
"name": "My View",
"description": "My View Description",
"teamId": "T00M677SAK",
"viewsTypeId": "3ENSBTAJ10QG1HAFYYNHADB58PKM5",
"isShared": True,
"configuration": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My View',
description: 'My View Description',
teamId: 'T00M677SAK',
viewsTypeId: '3ENSBTAJ10QG1HAFYYNHADB58PKM5',
isShared: true,
configuration: {}
})
};
fetch('https://platform.thena.ai/v1/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"timestamp": "2024-01-01T00:00:00.000Z",
"data": {
"id": "<string>",
"teamId": "<string>",
"viewId": 123,
"name": "<string>",
"description": "<string>",
"configuration": {},
"viewsTypeId": "<string>",
"viewsType": "<string>",
"owner": "<string>",
"ownerId": "<string>",
"isShared": true,
"isPersonal": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Create a new view!
POST
/
v1
/
views
Create a new view!
Authorizations
Enter the bearer token
Body
application/json
The name of the view
Example:
"My View"
The description of the view
Example:
"My View Description"
The team id of the view
Example:
"T00M677SAK"
The views type id of the view
Example:
"3ENSBTAJ10QG1HAFYYNHADB58PKM5"
The shared flag of the view
Example:
true
The configuration of the view
Response
Operation successful
The status of the response
The message of the response
The timestamp of the response
The response for create/update/delete view operations
Show child attributes
Show child attributes
⌘I